> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexxify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add withdrawal address

> Add a withdrawal (payout) wallet address for stable coins



## OpenAPI

````yaml /openapi.json post /api/v1/deposit-accounts/withdrawal-addresses
openapi: 3.0.0
info:
  title: Dexxify API
  description: >-
    Crypto Infrastructure API for Africa (Wallets, Payouts, Offramp, Onramp,
    KYC, KYB)
  version: '1.0'
  contact:
    name: Dexxify
    url: https://www.dexxify.com
    email: dexxifyhq@gmail.com
servers: []
security: []
tags: []
paths:
  /api/v1/deposit-accounts/withdrawal-addresses:
    post:
      tags:
        - Deposit Account
      summary: Add withdrawal address
      description: Add a withdrawal (payout) wallet address for stable coins
      operationId: DepositAccountsController_addWithdrawalAddress
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddWithdrawalAddressDto'
      responses:
        '201':
          description: Withdrawal address added successfully.
        '400':
          description: Validation failed or the request body/params were malformed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '401':
          description: Missing, invalid, or expired authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
      security:
        - api-key: []
components:
  schemas:
    AddWithdrawalAddressDto:
      type: object
      properties:
        address:
          type: string
          description: Withdrawal wallet address
          example: UQCvj9LMypzHShhTvO1qSLE0XiWxopEMweLh8MFnY3mxzLvi
        network:
          type: string
          description: Blockchain network
          example: bsc
        token:
          type: string
          description: Token symbol
          example: USDT
        label:
          type: string
          description: Label for the address
          example: My USDT Wallet
        isDefault:
          type: boolean
          description: Default wallet account
          example: true
      required:
        - address
        - network
        - token
        - label
        - isDefault
    ErrorResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: false
        status:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed.
        errors:
          type: object
          example:
            - amount must not be less than 0
        timestamp:
          type: string
          example: '2026-09-17T12:00:00.000Z'
      required:
        - success
        - status
        - message
        - timestamp
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: API key for /api/v1/* endpoints

````